# Packmangroup: Libraries
# Packmanpackagename: libmodplug
# Packman : Manfred Tremmel
# Packmanpackagedesc: <p>Libmodplug is a library to enable Playback of MOD soundfiles (AMIGA).</p><p>The package contains only static linked libs to compile xine-lib, don't install it, if you don't want to compile xine-lib yourselve.</p>
# Packmanpackagedesc_de: <p>Libmodplug ist eine Bibliothek, die die Wiedergabe von MOD-Sounddateien (AMIGA) erm&ouml;glicht.</p><p>Das Paket enth&auml;lt nur die statisch gelinkten Bibliotheken um die xine-lib zu compilieren, Installieren sie das Paket nicht, wenn sie die xine-lib nicht selbst compilieren wollen.</p>

#
# spec file for package libmodplug (Version 0.7)
#

Name:           libmodplug
Summary:        libmodplug - a MOD playing library (used for example in ModPlug-xmms)
Summary(de):    libmodplug - eine MOD Abspielbiblithek (wird unter anderem von ModPlug-xmms benutzt)
Version:        0.7
Release:        0.pm.4
Group:          System/Libraries
License:        GPL
URL:            http://modplug-xmms.sourceforge.net

Source0:        libmodplug-0.7.tar.bz2

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SUSE Linux 9.2 (i586)
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Conflicts:      xmms-plugins

%description
Libmodplug is the library behind -- Modplug-XMMS is a fully featured, complete
input plugin for XMMS which plays mod-like music formats. It is based on the
mod rendering code from ModPlug, a popular windows mod player written by
Olivier Lapicque, found at http://www.modplug.com

This package contains only a static linked library for compiling libxines
mod-plugin, it's not needed to run xine or any other program.

%description -l de
Libmodplug ist die Bibliothek hinter Modplug-XMMS, welches ein Eingabeplugin
für XMMS darstellt um MOD Musikdateien abzuspielen. Es basiert auf dem MOD
Rendering-Code von ModPlug, ein populärer MOD-Player unter Windows, geschrieben
von Olivier Lapicque, siehe auch http://www.modplug.com

Dieses Paket enthält nur die statisch gelinkte Bibliothek, diese wird benötigt
um das MOD-Plugin der libxine zu compilieren. Es wird nicht benötigt um xine
oder ein anderes Programm laufen zu lassen.

%prep
%setup -q
%ifarch ppc x86_64 amd64 ia32e
export CPPFLAGS="${RPM_OPT_FLAGS} -fPIC"
%else
export CPPFLAGS="${RPM_OPT_FLAGS}"
%endif
%configure --enable-static --disable-shared

%build
%__make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%post
%run_ldconfig

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README ChangeLog COPYING
%{_includedir}/libmodplug
%{_libdir}/libmodplug.*
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Oct 15 2004 - Manfred.Tremmel@iiv.de
- some little changes for amd64
* Fri Feb 13 2004 - Manfred.Tremmel@iiv.de
- Initial version
